org.apache.cassandra.cli.transport

## Class SimpleTransportFactory

- java.lang.Object
- - org.apache.thrift.transport.TTransportFactory
  - - org.apache.cassandra.cli.transport.SimpleTransportFactory

-     public class SimpleTransportFactory
      extends org.apache.thrift.transport.TTransportFactory

  Almost a noop factory, getTransport() method returns back the argument

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTransportFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.thrift.transport.TTransport` | `getTransport(org.apache.thrift.transport.TTransport transport)` Return a wrapped instance of the base Transport.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTransportFactory

          public SimpleTransportFactory()

  - ### Method Detail

    - #### getTransport

          public org.apache.thrift.transport.TTransport getTransport(org.apache.thrift.transport.TTransport transport)

      Description copied from class: `org.apache.thrift.transport.TTransportFactory`
      Return a wrapped instance of the base Transport.
      Overrides:
        `getTransport` in class `org.apache.thrift.transport.TTransportFactory`
      Parameters:
        `transport` - The base transport
      Returns:
        Wrapped Transport

Copyright © 2014 The Apache Software Foundation